Debian Bug report logs - #342869
lbreakout2-data: strange sample rates for sounds

version graph

Package: lbreakout2-data; Maintainer for lbreakout2-data is Colin Tuckley <colint@debian.org>; Source for lbreakout2-data is src:lbreakout2.

Reported by: mennucc1@debian.org

Date: Sun, 11 Dec 2005 12:33:02 UTC

Severity: minor

Found in version lbreakout2-data/2.5.2-2

Fixed in version lbreakout2/2.6.1-1

Done: Colin Tuckley <colint@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Michael Speck <kulkanie@gmx.net>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#342869; Package lbreakout2-data. Full text and rfc822 format available.

Acknowledgement sent to mennucc1@debian.org:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: A Mennucc <mennucc1@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lbreakout2-data: strange sample rates for sounds
Date: Sun, 11 Dec 2005 13:30:06 +0100
[Message part 1 (text/plain, inline)]
Package: lbreakout2-data
Version: 2.5.2-2
Severity: minor

hi

some audio files in lbreakout have strange sample rates (that is,
sample rates that do not fall in the usual family 16000 22050 24000
32000 44100 48000 ); some cheapo audio cards (such as those found in
notebooks and embedded in motherboards) do not natively support those
rates, and then ALSA has to resample on the fly (and, ALSA does not
use a good algorithm, so it degrades the audio a lot: I sometimes hear
buzzes and clicking sounds in the audio clips)

to solve the problem, you may simply run a script such as this:

for i in *wav ; do 
 mv $i $i~~~
 sox $i~~~ -r 22050  $i  resample
done
rm *wav~~~

here is a list of audio files with strange settings,
and the rate setting ; I obtained it with the command
# file $( dpkg -L lbreakout2-data | grep wav ) | sed 's/:.*mono//' | grep -v 22050

/usr/share/games/lbreakout2/sounds/bonus_magnet.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/chaos.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/darkness.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/disable.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/expand.wav 22255 Hz
/usr/share/games/lbreakout2/sounds/expl_ball.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/freeze.wav 22255 Hz
/usr/share/games/lbreakout2/sounds/gainlife.wav 22255 Hz
/usr/share/games/lbreakout2/sounds/ghost.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/goldshower.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/joker.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/looselife.wav 22255 Hz
/usr/share/games/lbreakout2/sounds/malus_magnet.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/metal.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/reflect_brick.wav 11127 Hz
/usr/share/games/lbreakout2/sounds/reflect_paddle.wav 11127 Hz
/usr/share/games/lbreakout2/sounds/score.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/shrink.wav 22255 Hz
/usr/share/games/lbreakout2/sounds/speeddown.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/speedup.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/standard.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/timeadd.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/wall.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/weak_ball.wav 22000 Hz

a.


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (650, 'testing'), (600, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-k7
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)

Versions of packages lbreakout2-data depends on:
ii  lbreakout2                    2.5.2-2    A ball-and-paddle game with nice g

lbreakout2-data recommends no packages.

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Reply sent to Daniel Burrows <dburrows@debian.org>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 342869-forwarded@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Michael Speck <kulkanie@gmx.net>
Cc: 342869-forwarded@bugs.debian.org, 342869-submitter@bugs.debian.org
Subject: [mennucc1@debian.org: Bug#342869: lbreakout2-data: strange sample rates for sounds]
Date: Sun, 11 Dec 2005 10:26:57 -0800
[Message part 1 (text/plain, inline)]
  Hi, Michael.  I got the attached bug-report regarding lbreakout's sound
samples.

  Daniel

----- Forwarded message from A Mennucc <mennucc1@debian.org> -----

Subject: Bug#342869: lbreakout2-data: strange sample rates for sounds
Date: Sun, 11 Dec 2005 13:30:06 +0100
From: A Mennucc <mennucc1@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>

Package: lbreakout2-data
Version: 2.5.2-2
Severity: minor

hi

some audio files in lbreakout have strange sample rates (that is,
sample rates that do not fall in the usual family 16000 22050 24000
32000 44100 48000 ); some cheapo audio cards (such as those found in
notebooks and embedded in motherboards) do not natively support those
rates, and then ALSA has to resample on the fly (and, ALSA does not
use a good algorithm, so it degrades the audio a lot: I sometimes hear
buzzes and clicking sounds in the audio clips)

to solve the problem, you may simply run a script such as this:

for i in *wav ; do 
 mv $i $i~~~
 sox $i~~~ -r 22050  $i  resample
done
rm *wav~~~

here is a list of audio files with strange settings,
and the rate setting ; I obtained it with the command
# file $( dpkg -L lbreakout2-data | grep wav ) | sed 's/:.*mono//' | grep -v 22050

/usr/share/games/lbreakout2/sounds/bonus_magnet.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/chaos.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/darkness.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/disable.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/expand.wav 22255 Hz
/usr/share/games/lbreakout2/sounds/expl_ball.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/freeze.wav 22255 Hz
/usr/share/games/lbreakout2/sounds/gainlife.wav 22255 Hz
/usr/share/games/lbreakout2/sounds/ghost.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/goldshower.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/joker.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/looselife.wav 22255 Hz
/usr/share/games/lbreakout2/sounds/malus_magnet.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/metal.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/reflect_brick.wav 11127 Hz
/usr/share/games/lbreakout2/sounds/reflect_paddle.wav 11127 Hz
/usr/share/games/lbreakout2/sounds/score.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/shrink.wav 22255 Hz
/usr/share/games/lbreakout2/sounds/speeddown.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/speedup.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/standard.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/timeadd.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/wall.wav 22000 Hz
/usr/share/games/lbreakout2/sounds/weak_ball.wav 22000 Hz

a.


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (650, 'testing'), (600, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-k7
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)

Versions of packages lbreakout2-data depends on:
ii  lbreakout2                    2.5.2-2    A ball-and-paddle game with nice g

lbreakout2-data recommends no packages.

-- no debconf information



----- End forwarded message -----
[signature.asc (application/pgp-signature, inline)]

Message sent on to mennucc1@debian.org:
Bug#342869. Full text and rfc822 format available.

Reply sent to Colin Tuckley <colint@debian.org>:
You have taken responsibility. (Sun, 03 Jan 2010 18:51:09 GMT) Full text and rfc822 format available.

Notification sent to mennucc1@debian.org:
Bug acknowledged by developer. (Sun, 03 Jan 2010 18:51:09 GMT) Full text and rfc822 format available.

Message #16 received at 342869-close@bugs.debian.org (full text, mbox):

From: Colin Tuckley <colint@debian.org>
To: 342869-close@bugs.debian.org
Subject: Bug#342869: fixed in lbreakout2 2.6.1-1
Date: Sun, 03 Jan 2010 18:49:17 +0000
Source: lbreakout2
Source-Version: 2.6.1-1

We believe that the bug you reported is fixed in the latest version of
lbreakout2, which is due to be installed in the Debian FTP archive:

lbreakout2-data_2.6.1-1_all.deb
  to main/l/lbreakout2/lbreakout2-data_2.6.1-1_all.deb
lbreakout2_2.6.1-1.diff.gz
  to main/l/lbreakout2/lbreakout2_2.6.1-1.diff.gz
lbreakout2_2.6.1-1.dsc
  to main/l/lbreakout2/lbreakout2_2.6.1-1.dsc
lbreakout2_2.6.1-1_i386.deb
  to main/l/lbreakout2/lbreakout2_2.6.1-1_i386.deb
lbreakout2_2.6.1.orig.tar.gz
  to main/l/lbreakout2/lbreakout2_2.6.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 342869@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Tuckley <colint@debian.org> (supplier of updated lbreakout2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 03 Jan 2010 15:34:24 +0000
Source: lbreakout2
Binary: lbreakout2 lbreakout2-data
Architecture: source all i386
Version: 2.6.1-1
Distribution: unstable
Urgency: low
Maintainer: Colin Tuckley <colint@debian.org>
Changed-By: Colin Tuckley <colint@debian.org>
Description: 
 lbreakout2 - A ball-and-paddle game with nice graphics
 lbreakout2-data - A ball-and-paddle game with nice graphics (DATA FILES)
Closes: 342869 561372
Changes: 
 lbreakout2 (2.6.1-1) unstable; urgency=low
 .
   * New upstream release (Closes: #342869).
   * Remove circular dependency (Closes: #561372).
   * Replace the -Wall CFLAGS option removed by upstream.
   * Add a man page for lbreakout2server.
Checksums-Sha1: 
 33892462596584274189515e5de0511f30e01e11 1134 lbreakout2_2.6.1-1.dsc
 c2c6ed38345774dfef9bc88bc24df6c8a80ed428 3390373 lbreakout2_2.6.1.orig.tar.gz
 e64ae88de3391383711b29534ee55adae26b5a16 88124 lbreakout2_2.6.1-1.diff.gz
 f1f3674eb43a2bb6cbd526d35a0c58abb8b29b1a 2594946 lbreakout2-data_2.6.1-1_all.deb
 6a378253676dfcee7eacaf865184ca4d0a56b0c3 319492 lbreakout2_2.6.1-1_i386.deb
Checksums-Sha256: 
 bfeed473e8623c12523dea3a4cb13a0e618e6b5faf7f407b2692372099970758 1134 lbreakout2_2.6.1-1.dsc
 0d86f9da3da5fe3eaa5bb4c9d15ba9666e0c35e739b93c220eecd16f729500cb 3390373 lbreakout2_2.6.1.orig.tar.gz
 e84fa132abceeed477437446aae7d5382006b563e4da487684da266e0a35eab4 88124 lbreakout2_2.6.1-1.diff.gz
 aac4dd99688a826f734c6794d90f5771153abc08f6d040a8a62aef5f66f264c8 2594946 lbreakout2-data_2.6.1-1_all.deb
 6ae947f05d1eb46347488e35cee1641d4c4f15bd6521ecc09110d382ad8c318c 319492 lbreakout2_2.6.1-1_i386.deb
Files: 
 4f826641e4bb7b4de4b806041982b6f1 1134 games optional lbreakout2_2.6.1-1.dsc
 0360a50c038db26c75c4dc84bcee3196 3390373 games optional lbreakout2_2.6.1.orig.tar.gz
 76dac5e287994143e6bfb6380ce01ee6 88124 games optional lbreakout2_2.6.1-1.diff.gz
 54b11ce8dacddbae2b74b8d05afdf4eb 2594946 games optional lbreakout2-data_2.6.1-1_all.deb
 806cab7d28d06743a5a305589c612c9f 319492 games optional lbreakout2_2.6.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktA2w4ACgkQj2OPlhswRc7OFQCglNhTBZkpdJhLQmsu3ve7Bgxi
visAn2wZV8HGfsitqZoCleWDdBUstalA
=USEN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 01 Feb 2010 07:33:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:46:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.